<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/idContenedorPrincipal"
    tools:context=".Login.Vista.MainActivity">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="12dp"
        android:paddingEnd="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.023"
        android:visibility="visible">

        <ImageView
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:src="@drawable/price_logo"
            android:visibility="gone"/>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/tbnSalir"
            style="@style/Widget.MaterialComponents.Button.OutlinedButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:text="@string/salir"
            android:textColor="@color/purple_700"
            app:cornerRadius="5dp" />
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="25dp"
        android:paddingEnd="25dp"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.38">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="10dp"
            android:text="@string/title_login"
            android:textColor="@color/grisTitle"
            android:textSize="25sp"
            android:textStyle="bold"
            android:visibility="gone" />

        <ImageView
            android:layout_width="150dp"
            android:layout_height="150dp"
            android:layout_gravity="center"
            android:src="@drawable/price_logo"
            android:visibility="visible" />

        <!--<androidx.cardview.widget.CardView
            android:id="@+id/cardUsuario"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:backgroundTint="@color/gris"
            android:elevation="8sp"
            android:visibility="visible"
            app:cardCornerRadius="5dp"
            app:cardUseCompatPadding="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:weightSum="3">

                <ImageView
                    android:id="@+id/ivBuscarUsuario"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="0.25"
                    android:src="@drawable/ic_user" />

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/tilUsuario"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_weight="2.75">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/tieUsuario"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/gris"
                        android:inputType="text" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>
        </androidx.cardview.widget.CardView>-->
        <TextView
            android:id="@+id/tvSelectUser"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Seleccionar Usuario"
            android:layout_gravity="right"
            android:textColor="@color/naranja3"
            android:layout_marginBottom="5dp"/>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/tilUsuario"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/tieUsuario"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:maxLength="50"/>

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/tilPassword"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:endIconMode="password_toggle"
            android:layout_marginTop="8dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/tiePassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:inputType="textPassword"
                android:maxLength="50"/>

        </com.google.android.material.textfield.TextInputLayout>

        <!--<androidx.cardview.widget.CardView
            android:id="@+id/cardUsuario2"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:backgroundTint="@color/gris"
            android:elevation="8sp"
            android:visibility="visible"
            app:cardCornerRadius="5dp"
            app:cardUseCompatPadding="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:weightSum="3">

                <ImageView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="0.25"
                    android:src="@drawable/ic_password" />

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/tilPassword"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_weight="2.75"
                    app:endIconMode="password_toggle">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/tiePassword"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/gris"
                        android:inputType="textPassword" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>
        </androidx.cardview.widget.CardView>-->

        <Button
            android:id="@+id/btnIngresar"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:backgroundTint="@color/naranja3"
            android:layout_marginTop="8dp"
            android:text="@string/ingresar" />
    </LinearLayout>

    <TextView
        android:id="@+id/tvVersion"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout"
        app:layout_constraintVertical_bias="0.0" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="20dp"
        android:paddingEnd="20dp"
        android:layout_marginBottom="5dp"
        android:text="@string/copyright"
        android:textAlignment="center"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>